Skip to main content
POST
/
preApprovals
/
versions
/
{id}
Restore Pre Approval version
curl --request POST \
  --url https://commerce.driv.ly/api/preApprovals/versions/{id} \
  --header 'Authorization: <api-key>'
{
  "doc": {
    "updatedAt": "<string>",
    "createdAt": "<string>",
    "customer": 123,
    "title": "<string>",
    "status": "Processing",
    "firstName": "<string>",
    "middleInitial": "<string>",
    "lastName": "<string>",
    "suffix": "JR",
    "address": "<string>",
    "city": "<string>",
    "state": "AA",
    "zip": "<string>",
    "phone": "<string>",
    "email": "<string>",
    "income": "<string>",
    "ipAddress": "<string>",
    "userAgent": "<string>",
    "isp": "<string>",
    "sessionId": "<string>",
    "resend": "<string>",
    "AppId": 123,
    "segmentationBand": "Excellent (750-900)",
    "estimatedInterestRate": "<string>",
    "estimatedLoanTerm": "<string>",
    "lead": 123
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.drivly.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

id of the Pre Approval version

Query Parameters

depth
number<int32>

number of levels to automatically populate relationships and uploads

locale
string

retrieves document(s) in a specific locale

fallback-locale
string

specifies a fallback locale if no locale value exists

Response

ok

doc
PreApproval · object
required
message
string
required